package com.nisum.service;

import com.nisum.bean.Item;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@Service
public class ItemServiceImpl implements ItemService {

    @Autowired
    ReactiveMongoRepository reactiveMongoRepository;


    @Override
    public Mono<Item> saveItem(Item item) {


        return reactiveMongoRepository.save(item);
    }

    @Override
    public Mono<Item> getItem(String id) {


        return reactiveMongoRepository.findById(id);
    }

    @Override
    public Mono<Item> updateItem(Item item) {

        return reactiveMongoRepository.save(item);
    }

    @Override
    public Flux<Item> getAllItems() {
        return reactiveMongoRepository.findAll();
    }


}
